function [R,R1,cfs,hyperr,hypnorm] = multivop(deg,nodes,weights,...
    controlmesh,myfun,varargin)


% THIS IS A MODIFIED VERSION OF multivop TO PRODUCE THE TESTS OF THE PAPER
% "Numerical hyperinterpolation over nonstandard planar regions".

% THE MODIFICATIONS ARE IN THE DETERMINATION OF THE FUNCTION TO STUDY AND
% IN THE DEFINITION OF THE VANDERMONDE MATRIX (SO TO WORK IN DIMENSION 2 
% OR 3).


d=size(nodes,2);

% Vandermonde in the polynomial basis on the cubature nodes
V = myvand(deg,nodes,varargin{:});
% scaling matrices
S = sparse(diag(sqrt(weights))); W = sparse(diag(weights));
% orthogonalization process
[Q,R] = qr(V,0);
V = V/R;
[Q,R1] = qr(S*V,0);
% Vandermonde in the OP basis on the cubature nodes
V = V/R1;
% sampling a function at the cubature nodes
if d == 2
    f = feval(myfun,nodes(:,1),nodes(:,2));
else
    f = feval(myfun,nodes(:,1),nodes(:,2),nodes(:,3));
end
% hyperinterpolation coefficients of the function
cfs = V'*(weights.*f);
% estimating the hyperinterpolation error
hyperr = sqrt(weights'*(V*cfs-f).^2)/sqrt(weights'*f.^2);
% Vandermonde in the OP basis on the control nodes
U = (myvand(deg,controlmesh,varargin{:})/R)/R1;
% estimating the uniform norm of the hyperinterpolation operator
hypnorm = norm(W*V*U',1);
end