
function polygon_sides=mydomain(domain)

switch domain
    case 1
        fprintf('\n \t [POLYGON]: 6 SIDES CONVEX POLYGON');
        polygon_sides=[0.1 0; 0.7 0.2; 1 0.5; 0.75 0.85; 0.5 1; 0 0.25; 0.1 0];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 2
        fprintf('\n \t [POLYGON]: 9 SIDES NON CONVEX POLYGON');
        polygon_sides=(1/4)*[1 2; 1 0; 3 2; 3 0; 4 2; 3 3; 3 0.85*4; 2 4;
            0 3; 1 2];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 3
        fprintf('\n \t [POLYGON]: UNIT SQUARE [0,1]^2');
        k=1;
        polygon_sides=k*[0 0; 1 0; 1 1; 0 1; 0 0];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 4
        fprintf('\n \t [POLYGON]: POLYGON');
        polygon_sides=(1/4)*[1 0; 3 2; 3 0; 4 2; 3 3; 3 4; 2 4; 0 3;  ...
            1 2; 1 0];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 5
        fprintf('\n \t [POLYGON]: POLYGON');
        polygon_sides=(1/4)*[0 0; 1 2; 2 0; 3 2; 4 0; 4 4; 3 2; 2 4; ...
            1 2; 0 4; 0 0];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 6
        fprintf('\n \t [POLYGON]: UNIT SQUARE [-1,1]^2');
        polygon_sides=[-1 -1; 1 -1; 1 1; -1 1; -1 -1];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 7
        fprintf('\n \t [POLYGON]: UNIT TRIANGLE');
        polygon_sides=[0 0; 1 0; 1 1; 0 0];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 8
        k_arc=3;
        k1=k_arc; % NUMBER OF SUBDIVISIONS 1ST ARC ECLIPSE.
        k2=k_arc; % NUMBER OF SUBDIVISIONS 2ND ARC ECLIPSE.
        
        a(1)=-pi/2; a(2)=pi; a(3)=3*pi/2;
        h1=(a(2)-a(1))/k1; v1=(a(1):h1:a(2))';
        h2=(a(3)-a(2))/k2; v2=(a(2):h2:a(3))';
        polygon_sides_1=[cos(v1) sin(v1)];
        
        % BUILDING OPPOSITE CONCAVITY.
        C=[cos(v2)  sin(v2)];  % ROW VECTORS!
        L=size(C,1);
        A=[C(1,:)];            % ROW VECTORS!
        B=[C(L,:)];            % ROW VECTORS!
        v=B-A; v=v/norm(v,2);
        polygon_sides_2=[];
        for index=2:L
            C_LOC=C(index,:);
            u=C_LOC-A;
            u1=-u+2*(u*v')*v;
            polygon_sides_2=[polygon_sides_2; A+u1];
        end
        
        polygon_sides=[polygon_sides_1; polygon_sides_2];
        
        polygon_sides=0.5*ones(size(polygon_sides))+0.5*polygon_sides;
        fprintf('\n \t [POLYGON]: ECLYPSE, %4.0f, %4.0f',...
            size(polygon_sides_1,1),size(polygon_sides,1));
        
    case 9
        figure('position', get(0,'screensize'));
        axes('position', [0 0 1 1]);
        [x,y]=ginput(50);
        polygon_sides=[x y];
        fprintf('\n \t [POLYGON]: MANUAL ENTRIES, %4.0f, %4.0f',...
            size(polygon_sides_1,1),size(polygon_sides,1));
        
    case 10
        
        k1=8; % NUMBER OF SUBDIVISIONS 1ST ARC CIRCLE.
        
        a(1)=0; a(2)=2*pi;
        h1=(a(2)-a(1))/k1; v1=(a(1):h1:a(2))';
        polygon_sides=[cos(v1) sin(v1)];
        
        polygon_sides=0.5*ones(size(polygon_sides))+0.5*polygon_sides;
        fprintf('\n \t [POLYGON]: DISK, %4.0f',size(polygon_sides,1));
        
    case 11
        polygon_sides=[1 0; 0.75 0.5; 0 1; 0 0.5; 1 0];
        fprintf('\n \t [POLYGON]: BOOMERANG, %4.0f',size(polygon_sides,1));
    case 12
        polygon_sides=[1 0; 0 1; -1 0; 0 -1; 1 0];
        fprintf('\n \t [POLYGON]: QUADRANGLE, %4.0f',size(polygon_sides,1));
    case 13
        fprintf('\n \t [POLYGON]: NON CONVEX POLYGON, HORSE LIKE');
        polygon_sides=(1/4)*[1 2; 1 0; 3 2; 3 0; 4 2; 3 3; 3 0.85*4; ...
            4*0.6 4*0.95; 2 4; 0 3; 1 2];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
    case 14
        fprintf('\n \t [POLYGON]: NON CONVEX POLYGON, HAND');
        polygon_sides=[   0.49804687500000   0.23832417582418
            0.52148437500000   0.29601648351648
            0.55507812500000   0.35233516483516
            0.58398437500000   0.40315934065934
            0.58242187500000   0.42513736263736
            0.56757812500000   0.43475274725275
            0.54414062500000   0.41826923076923
            0.52226562500000   0.38942307692308
            0.49570312500000   0.38392857142857
            0.48710937500000   0.41552197802198
            0.48945312500000   0.47184065934066
            0.49882812500000   0.54601648351648
            0.50195312500000   0.62019230769231
            0.49257812500000   0.64766483516484
            0.47773437500000   0.63667582417582
            0.46601562500000   0.55975274725275
            0.45039062500000   0.47733516483516
            0.45273437500000   0.57760989010989
            0.45117187500000   0.65728021978022
            0.43085937500000   0.67788461538462
            0.41757812500000   0.65178571428571
            0.41679687500000   0.57074175824176
            0.41445312500000   0.48008241758242
            0.40195312500000   0.55700549450549
            0.38632812500000   0.63667582417582
            0.37304687500000   0.64766483516484
            0.36210937500000   0.62568681318681
            0.36992187500000   0.53640109890110
            0.37695312500000   0.44848901098901
            0.34492187500000   0.50068681318681
            0.32070312500000   0.54876373626374
            0.30195312500000   0.55151098901099
            0.29882812500000   0.53090659340659
            0.32460937500000   0.45398351648352
            0.34570312500000   0.40041208791209
            0.34960937500000   0.32074175824176
            0.35976562500000   0.23832417582418
            0.49804687500000   0.23832417582418];
        fprintf(' : %4.0f VERTICES',size(polygon_sides,1));
        
        
    case 15
        fprintf('\n \t [POLYGON]: NON CONVEX POLYGON WITH 51 SIDES,') 
        fprintf(' WORKS ONLY WITH TRIANGULATION');
        polygon_sides=[5 8;
            2 7;
            2 3;
            4 1;
            1 1;
            1 3;
            0 4;
            0 6;
            -2 6;
            -2 3;
            -4 2;
            -4 1;
            -2 1;
            1 0;
            1 -2;
            3 -2;
            3 0;
            5 -1;
            5 1;
            6 1;
            6 2;
            5 2;
            5 3;
            6 3;
            6 4;
            5 4;
            5 5;
            6 5;
            6 7;
            11 7;
            11 6;
            9 6;
            7 4;
            7 -2;
            8 -2;
            9 1;
            8 1;
            9 3;
            9 4;
            11 4;
            11 2;
            13 2;
            13 1;
            11 1;
            12 -1;
            11 -2;
            16 -2;
            16 8;
            15 8;
            15 -1;
            14 -1;
            14 8;
            5 8];
        
        
    case 16 % [POLYGON]: NON CONVEX POLYGON, HAND.
        polygon_sides=[   0.49804687500000   0.23832417582418
            0.52148437500000   0.29601648351648
            0.55507812500000   0.35233516483516
            0.58398437500000   0.40315934065934
            0.58242187500000   0.42513736263736
            0.56757812500000   0.43475274725275
            0.54414062500000   0.41826923076923
            0.52226562500000   0.38942307692308
            0.49570312500000   0.38392857142857
            0.48710937500000   0.41552197802198
            0.48945312500000   0.47184065934066
            0.49882812500000   0.54601648351648
            0.50195312500000   0.62019230769231
            0.49257812500000   0.64766483516484
            0.47773437500000   0.63667582417582
            0.46601562500000   0.55975274725275
            0.45039062500000   0.47733516483516
            0.45273437500000   0.57760989010989
            0.45117187500000   0.65728021978022
            0.43085937500000   0.67788461538462
            0.41757812500000   0.65178571428571
            0.41679687500000   0.57074175824176
            0.41445312500000   0.48008241758242
            0.40195312500000   0.55700549450549
            0.38632812500000   0.63667582417582
            0.37304687500000   0.64766483516484
            0.36210937500000   0.62568681318681
            0.36992187500000   0.53640109890110
            0.37695312500000   0.44848901098901
            0.34492187500000   0.50068681318681
            0.32070312500000   0.54876373626374
            0.30195312500000   0.55151098901099
            0.29882812500000   0.53090659340659
            0.32460937500000   0.45398351648352
            0.34570312500000   0.40041208791209
            0.34960937500000   0.32074175824176
            0.35976562500000   0.23832417582418
            0.49804687500000   0.23832417582418];
        
    case 17 % 5 SIDES.
        polygon_sides=[
            1 1;
            5 1;
            6 2;
            4 4;
            2 3;
            1 1
            ];
        
    case 18 % 8 SIDES.
        polygon_sides=[
            1 1;
            6 2;
            7 4;
            10 3;
            9 6;
            6 7;
            4 5;
            1 6;
            1 1
            ];
        
    case 19 % 6 SIDES.
        polygon_sides=[
            1 1;
            5 1;
            6 3;
            8 1;
            5 7;
            2 6;
            1 1
            ];
        
    case 20 % 28 SIDES.
        polygon_sides=[
            3 1;
            17 1;
            18 5;
            18 14;
            17 15;
            16 14;
            16 5;
            14 5;
            14 14;
            13 15;
            12 14;
            12 5;
            10 5;
            10 14;
            9 15;
            8 14;
            8 5;
            6 5;
            6 14;
            5 15;
            4 14;
            4 5;
            3 6;
            3 8;
            2 9;
            1 8;
            1 5;
            3 3;
            1 1;
            3 1
            ];
        
    case 6 % 30 SIDES.
        polygon_sides=[
            5 1;
            13 1;
            15 4;
            15 7;
            16 10;
            18 14;
            17 15;
            16 14;
            14 10;
            13 10;
            14 16;
            13 17;
            12 16;
            11 10;
            10 10;
            10 17;
            9 18;
            8 17;
            8 10;
            7 10;
            6 11;
            5 12;
            4 11;
            5 5;
            4 8;
            3 11;
            2 12;
            1 11;
            3 7;
            3 4;
            5 1];
        
    case 21 % 32 SIDES.
        polygon_sides=[
            7 1;
            16 1;
            21 9;
            17 14;
            17 21;
            14 20;
            10 11;
            8 15;
            10 17;
            8 19;
            10 22;
            12 21;
            14 22;
            15 25;
            10 26;
            7 24;
            6 26;
            8 28;
            5 28;
            4 30;
            3 28;
            1 28;
            3 26;
            2 24;
            4 25;
            6 24;
            5 21;
            2 21;
            5 17;
            6 12;
            4 10;
            2 6;
            7 1];
        
    case 22 % 30 SIDES.
        polygon_sides=[
            5 1;
            7 4;
            9 5;
            10 4;
            12 7;
            13 4;
            17 6;
            17 11;
            16 13;
            14 14;
            6 14;
            4 13;
            6 12;
            7 10;
            10 11;
            11 13;
            13 12;
            14 13;
            15 11;
            14 6;
            12 9;
            10 6;
            9 9;
            8 7;
            6 9;
            4 6;
            3 8;
            1 5;
            3 3;
            4 4;
            5 1
            ];
        
    case 23 % 10 SIDES.
        polygon_sides=[
            3 1;
            5 3;
            7 1;
            6 4;
            9 6;
            6 6;
            5 9;
            4 6;
            1 6;
            4 4;
            3 1
            ];
        
    case 10 % 17 SIDES.
        polygon_sides=[
            1 4;
            3 6;
            6 1;
            9 5;
            10 1;
            12 3;
            13 2;
            17 6;
            15 11;
            14 9;
            14 11;
            10 11;
            9 9;
            7 13;
            4 8;
            2 13;
            1 6;
            1 4
            ];
        
    case 24 % 12 SIDES
        polygon_sides=[
            1 4;
            6 3;
            7 2;
            10 2;
            11 1;
            13 5;
            12 9;
            11 7;
            7 7;
            5 9;
            4 6;
            3 8;
            1 4
            ];
        
    case 25 % 13 SIDES.
        polygon_sides=[
            1 5;
            2 2;
            5 4;
            6 2;
            8 2;
            9 1;
            11 5;
            9 9;
            8 7;
            5 7;
            4 9;
            3 7;
            2 8;
            1 5];
        
    case 26 % 29 SIDES.
        polygon_sides=[
            2 1;
            5 3;
            8 1;
            7 3;
            12 3;
            16 7;
            14 7;
            16 9;
            14 9;
            13 11;
            12 9;
            11 11;
            13 12;
            11 12;
            10 14;
            9 12;
            7 12;
            9 11;
            8 9;
            10 10;
            11 8;
            10 6;
            12 6;
            12 4;
            7 4;
            5 6;
            3 4;
            1 4;
            3 3;
            2 1
            ];
        
    case 27 % 29 SIDES.
        polygon_sides=[
            2 1;
            5 3;
            8 1;
            7 3;
            12.1 3;
            16 7;
            14 7;
            16 9;
            14 9;
            13 11;
            12 9;
            11 11;
            13 12;
            11 12;
            10 14;
            9 12;
            7 12;
            9 11;
            8 9;
            10 10;
            11 8;
            10 6;
            12 6;
            12 4;
            7 4;
            5 6;
            3 4;
            1 3.9;
            3 2.9;
            2 1
            ];
        
        
    case 28 % OK.
        
        polygon_sides=[
            0 0;
            1 0.3;
            0.5 1;
            0.2 0.7;
            0 0
            ];
        
        
end

